GAPPLETVIEWER(1)

NAME
gappletviewer - Load and runs an applet

SYNOPSIS
appletviewer [OPTION]... URL...

appletviewer [OPTION]... -code CODE

appletviewer [OPTION]... -plugin INPUT,OUTPUT

DESCRIPTION
The appletviewer tool loads and runs an applet.

Use the first form to test applets specified by tag. The URL should resolve to an HTML document from which the appletviewer will extract applet tags. The APPLET, EMBED and OBJECT tags are supported. If a given document contains multiple applet tags, all the applets will be loaded, with each applet appearing in its own window. Likewise, when multiple URLs are specified, each applet tag instance is given its own window. If a given document contains no recognized tags the appletviewer does nothing.

        appletviewer http://www.gnu.org/software/classpath/

Use the second form to test an applet in development. This form allows applet tag attributes to be supplied on the command line. Only one applet may be specified using the -code option. The -code option overrides the URL form -- any URLs specified will be ignored.

        appletviewer -code Test.class -param datafile,data.txt

gcjwebplugin uses the third form to communicate with the appletviewer through named pipes.

OPTIONS
URL OPTIONS

-debug
    This option is not yet implemented but is provided for compatibility.

-encoding CHARSET
    Use this option to specify an alternate character encoding for the specified HTML page.

APPLET TAG OPTIONS

-code CODE
    Use the -code option to specify the value of the applet tag CODE attribute.

-codebase CODEBASE
    Use the -codebase option to specify the value of the applet tag CODEBASE attribute.

-archive ARCHIVE
    Use the -archive option to specify the value of the applet tag ARCHIVE attribute.

-width WIDTH
    Use the -width option to specify the value of the applet tag WIDTH attribute.

-height HEIGHT
    Use the -height option to specify the value of the applet tag HEIGHT attribute.

-param NAME,VALUE
    Use the -param option to specify values for the NAME and VALUE attributes of an applet PARAM tag.

PLUGIN OPTION

-plugin INPUT,OUTPUT
    gcjwebplugin uses the -plugin option to specify the named pipe the appletviewer should use for receiving commands (INPUT) and the one it should use for sending commands to gcjwebplugin (OUTPUT).

DEBUGGING OPTION

-verbose
    Use the -verbose option to have the appletviewer print debugging messages.

STANDARD OPTIONS

-help
    Use the -help option to have the appletviewer print a usage message, then exit.

-version
    Use the -version option to have the appletviewer print its version, then exit.

-JOPTION
    Use the -J option to pass OPTION to the virtual machine that will run the appletviewer. Unlike other options, there must not be a space between the -J and OPTION.

SEE ALSO